const re: RegExp = /^[A-Z]{3}$/; // 'RegExp' built-in type...
let bye: string = "BYE"; // 'string' primitive type...
console.assert(bye.match(re) !== null); // Exactly 3 capital letters...
bye = "CIAO";
console.assert(bye.match(re) === null);
const a: Array<boolean> = new Array();
a.push(false);
// a.push(bye); // Compilation error... but JavaScript execution works!

console.assert(null == undefined);
console.assert(null !== undefined);

let undefined_variable;
console.log(typeof undefined_variable); // 'undefined' is displayed...
console.log(typeof null); // 'object' is displayed...

console.assert(Number.parseInt("10", 10) === 10);

const my_bigint = 1234567890123456789012345678901234567890n; // Note 'n' suffix!

let x: undefined = undefined;
let y: null = null;

function f(): void {
    return undefined;
}
