console.log(typeof true); // 'boolean'
console.log(typeof 2016); // 'number'
console.log(typeof "2016"); // 'string'
const Franck = "Franck";
console.log(`Hello ${Franck}`); // JavaScript 6 backquotes!
console.log(Number.MAX_VALUE);
/* TypeScript compilation error ('Cannot assign to 'MAX_VALUE' because it is a read-only property.')
 while it works with JavaScript: */
// console.assert(++Number.MAX_VALUE === Number.POSITIVE_INFINITY);

let o = {a: "a"};
console.assert(o.constructor === Object); // 'Object' function...
// console.assert(o.prototype === undefined); // Not accessible (compilation error)...
console.assert(Object.getPrototypeOf(o) === Object.prototype); // "Prototype inheritance"...

let o_ = Object.create(Object.prototype); // <=> 'var o_ = {};'
console.log(typeof o_); // 'object'
